@echo off
REM
REM  This batch file uses FFG to for existence of a specified directory.  If it
REM  exists a message saying so is displayed.  Similarly, a message
REM  states that the directory does not exist if it is not found.  It will
REM  find hidden directories too.
REM
REM
REM Notes on FFG parameters:
REM 1. redirection to nul to suppress standard output:
REM 2. /r prevents searching beyond the specified directory:
REM %1 holds the directory to find, which must have a terminating backslash
REM
if %1.==. goto USAGE
L:ffg>nul %1 /r
if errorlevel 1 if not errorlevel 2 goto FOUND
  echo Directory "%1" doesn't exist.
  goto END
:FOUND
  echo Directory "%1" exists.
  goto END
:USAGE
  echo USAGE:  %0 FullDirSpec\
  echo.
  echo         Note: You must use a trailing backslash '\'
:END
